Bug 1408858 - accelerometer input can not be read
Summary: accelerometer input can not be read
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1415240 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-27 19:52 UTC by Sergey Bostandzhyan
Modified: 2019-01-09 12:54 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:23:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/hadess iio-sensor-proxy issues 123 None None None 2016-12-27 19:52:41 UTC

Internal Links: 1415240

Description Sergey Bostandzhyan 2016-12-27 19:52:42 UTC
Description of problem:

I am trying to run Fedora on an Acer Switch 10 notebook, which can be used in tablet-mode and which has a touchscreen. This device does have an accelerometer and is able to detect physical rotation changes.

The functionality should be handled by iio-sensor-proxy, however there seems to be a driver bug that prevents reading from the appropriate input. See related issue report here: https://github.com/hadess/iio-sensor-proxy/issues/123


Basically it is not possible to read from the accelerometer input.

The log gets filled with messages:
Dec 27 20:23:59 localhost.localdomain iio-sensor-prox[718]: Could not open input accel '/dev/input/event8': Operation not permitted

evtest (as root) shows the same:

evtest /dev/input/event8
evtest: Operation not permitted

evtest --grab /dev/input/event8
evtest: Operation not permitted

According to udevadm output the input in question is indeed an accelerometer input:
P: /devices/virtual/input/input10/event8
N: input/event8
E: DEVNAME=/dev/input/event8
E: DEVPATH=/devices/virtual/input/input10/event8
E: ID_INPUT=1
E: ID_INPUT_ACCELEROMETER=1
E: IIO_SENSOR_PROXY_TYPE=input-accel
E: LIBINPUT_DEVICE_GROUP=19/0/0/0:wmi
E: MAJOR=13
E: MINOR=72
E: SUBSYSTEM=input
E: SYSTEMD_WANTS=iio-sensor-proxy.service
E: TAGS=:systemd:
E: USEC_INITIALIZED=9203079


Version-Release number of selected component (if applicable):

Fedora 25, kernel 4.8.15-300.fc25.x86_64


How reproducible:

just boot the system and watch the log via journalctl -f

Comment 1 Alexander Ploumistos 2017-01-02 20:44:27 UTC
Just noticed the same on an Acer Aspire V7-791G about /dev/input/event11:

iio-sensor-prox[829]: Could not open input accel '/dev/input/event11': Operation not permitted

these warnings pop up about twice a second. This is what udevadm has to say in this case:

udevadm info -a -p  $(udevadm info -q path -n /dev/input/event11)

Udevadm info starts with the device specified by the devpath and then
walks up the chain of parent devices. It prints for every device
found, all possible attributes in the udev rules key format.
A rule to match, can be composed by the attributes of the device
and the attributes from one single parent device.

  looking at device '/devices/virtual/input/input12/event11':
    KERNEL=="event11"
    SUBSYSTEM=="input"
    DRIVER==""

  looking at parent device '/devices/virtual/input/input12':
    KERNELS=="input12"
    SUBSYSTEMS=="input"
    DRIVERS==""
    ATTRS{name}=="Acer BMA150 accelerometer"
    ATTRS{phys}=="wmi/input1"
    ATTRS{properties}=="0"
    ATTRS{uniq}==""

Comment 2 Dmitry Minsky 2017-01-08 14:23:10 UTC
Same here. Acer Swift 3 on /dev/input/event10:

[d@d ~]$ journalctl -b
...
Jan 08 17:09:52 d.indie iio-sensor-prox[913]: Could not open input accel '/dev/input/event10': Operation not permitted
Jan 08 17:09:53 d.indie iio-sensor-prox[913]: Could not open input accel '/dev/input/event10': Operation not permitted
Jan 08 17:09:53 d.indie iio-sensor-prox[913]: Could not open input accel '/dev/input/event10': Operation not permitted


[d@d~]$ udevadm info /dev/input/event10
P: /devices/virtual/input/input18/event10
N: input/event10
E: DEVNAME=/dev/input/event10
E: DEVPATH=/devices/virtual/input/input18/event10
E: ID_INPUT=1
E: ID_INPUT_ACCELEROMETER=1
E: IIO_SENSOR_PROXY_TYPE=input-accel
E: LIBINPUT_DEVICE_GROUP=19/0/0/0:wmi
E: MAJOR=13
E: MINOR=74
E: SUBSYSTEM=input
E: SYSTEMD_WANTS=iio-sensor-proxy.service
E: TAGS=:systemd:
E: USEC_INITIALIZED=5501720

Comment 3 aditya.karanjkar 2017-01-10 21:50:52 UTC
Acer E5-575G-53VG for /dev/input/event9:

$ journalctl
...
Jan 10 16:37:09 Aditya-AcerE15 iio-sensor-prox[894]: Could not open input accel '/dev/input/event9': Operation not permitted
Jan 10 16:37:10 Aditya-AcerE15 iio-sensor-prox[894]: Could not open input accel '/dev/input/event9': Operation not permitted
Jan 10 16:37:11 Aditya-AcerE15 iio-sensor-prox[894]: Could not open input accel '/dev/input/event9': Operation not permitted
Jan 10 16:37:11 Aditya-AcerE15 iio-sensor-prox[894]: Could not open input accel '/dev/input/event9': Operation not permitted


$ udevadm info -a -p $(udevadm info -q path -n /dev/input/event9)

Udevadm info starts with the device specified by the devpath and then
walks up the chain of parent devices. It prints for every device
found, all possible attributes in the udev rules key format.
A rule to match, can be composed by the attributes of the device
and the attributes from one single parent device.

  looking at device '/devices/virtual/input/input10/event9':
    KERNEL=="event9"
    SUBSYSTEM=="input"
    DRIVER==""

  looking at parent device '/devices/virtual/input/input10':
    KERNELS=="input10"
    SUBSYSTEMS=="input"
    DRIVERS==""
    ATTRS{name}=="Acer BMA150 accelerometer"
    ATTRS{phys}=="wmi/input1"
    ATTRS{properties}=="0"
    ATTRS{uniq}==""

Comment 4 Artem Hluvchynskyi 2017-01-15 13:50:26 UTC
Same issue on Acer Aspire VN7-591G. Spams logs like crazy until I stop iio-sensor-proxy service. Very annoying.

$ udevadm info /dev/input/event11
P: /devices/virtual/input/input12/event11
N: input/event11
E: DEVNAME=/dev/input/event11
E: DEVPATH=/devices/virtual/input/input12/event11
E: ID_INPUT=1
E: ID_INPUT_ACCELEROMETER=1
E: IIO_SENSOR_PROXY_TYPE=input-accel
E: LIBINPUT_DEVICE_GROUP=19/0/0/0:wmi
E: MAJOR=13
E: MINOR=75
E: SUBSYSTEM=input
E: SYSTEMD_WANTS=iio-sensor-proxy.service
E: TAGS=:systemd:
E: USEC_INITIALIZED=11897439

Comment 5 Laura Abbott 2017-01-17 01:10:25 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 6 Sergey Bostandzhyan 2017-01-17 09:20:25 UTC
I tested this right away when the update came out and saw no difference, so unfortunately the problem is still there.

Comment 7 EminM 2017-01-20 16:10:29 UTC
Hello, have same problem in Fedora 25, kernel(4.9.3-200.fc25.x86_64) Laptop: Acer PacardBell-ENTE11CH;
journalctl: could not open input accel '/dev/input/event9'  operation not permitted
----------
I think, thaat problem only have on Acer's.

Comment 8 Sergey Bostandzhyan 2017-01-21 22:03:46 UTC
Updated to 4.9.4-201 today - no change, issue is still there.

Comment 9 Tobias Schönberg 2017-01-22 21:53:28 UTC
I have the same issue using a Acer Aspire V5-573.

Comment 10 Laura Abbott 2017-01-24 19:05:18 UTC
*** Bug 1415240 has been marked as a duplicate of this bug. ***

Comment 11 Sergey Bostandzhyan 2017-01-24 19:33:34 UTC
Updated to 4.9.5-200 today - issue still remains.

Comment 12 Stefan Joosten 2017-01-25 11:43:41 UTC
It's not limited to Acer laptops, but might be limited to the "acer_wmi" kernel module. 

I have a Sony VPCY11S1E on which the "acer_wmi" module is loaded automatically. My laptop is not equipped with a accelerometer as far as I know (way too old for it too). 

My system's journal is spammed with:

iio-sensor-prox[7721]: Could not open input accel '/dev/input/event12': Operation not permitted

At least every second.

Because you all have Acer laptops this prompted me to try and unload the "acer_wmi" module. After "rmmod acer_wmi" the '/dev/input/event12' device is no longer present and the logspam stops.
Try and see what this does on your Acer laptops?

I will be blacklisting the "acer_wmi" module for now.
Hope this helps to narrow down the possible suspects for you guys.

Comment 13 EminM 2017-01-25 14:05:31 UTC
I was checked your option on my laptop, it's really work and logspam stops.
Thank you Stefan, this is stop logspam until redhat will fix it.

Comment 14 Alexander Ploumistos 2017-01-25 15:19:52 UTC
Given that acer_wmi could be doing something useful on an Acer laptop, I think that a safer approach would be to disable the iio-sensor-proxy service until a fix is in place:

# systemctl stop iio-sensor-proxy.service && systemctl disable iio-sensor-proxy.service

Comment 15 EminM 2017-01-25 15:48:24 UTC
Unfortunately, because before i use rmmod acer-wmi, i was do this:

# systemctl stop iio-sensor-proxy.service && systemctl disable iio-sensor-proxy.service
and my laptop going unstable, sometimes touchpad was not responding, but after rmmod acer-wmi recomended by Stefan in C#13, my problem solved.

Comment 16 Sergey Bostandzhyan 2017-01-25 15:57:26 UTC
Thanks to Stefan for pinpointing the problem to the module, it's surely one good way to get rid of the log spam.

Nevertheless I'd be interested to know if there's a chance for solving the issue for real (can we provide further data or help?), because my device actually does have an accelerometer, it's a convertible that can be used as a tablet with a touchscreen, so having a working screen auto-rotation would be really great...

Comment 17 Sergey Bostandzhyan 2017-01-25 16:01:35 UTC
P.S. I'm not a kernel dev, I'm a userspace coder, but I'm comfortable with compiling and testing a module (or experimental kernels) if someone is working on it and needs to get some debug logs or feedback or whatever.

Comment 18 Sergey Bostandzhyan 2017-02-01 22:56:56 UTC
Updated to kernel-4.9.6-200.fc25.x86_64, problem still remains.

Comment 19 Sergey Bostandzhyan 2017-02-07 14:10:25 UTC
Updated to kernel-4.9.7-201.fc25.x86_64, problem still remains.

Comment 20 Peter Hostačný 2017-03-12 11:55:40 UTC
I am facing the same issue on laptop Acer Aspire V3-571G. 

Module iio-sensor-proxy.service can be stopped but cannot be disabled in my case since it is dependancy of other modules (static unit file).

Is anybody looking into this issue or does anybody plan to do so ?

=== INFO ===

$ sudo systemctl status iio-sensor-proxy.service 
● iio-sensor-proxy.service - IIO Sensor Proxy service
   Loaded: loaded (/usr/lib/systemd/system/iio-sensor-proxy.service; static; vendor preset: disabled)

$ systemctl list-dependencies --reverse iio-sensor-proxy.service 
iio-sensor-proxy.service
● ├─sys-devices-virtual-input-input15-event13.device
● ├─sys-devices-virtual-input-input15-js0.device
● └─sys-devices-virtual-input-input15.device

$ cat /sys/devices/virtual/input/input15/name 
Acer BMA150 accelerometer

$ uname -r
4.9.13-101.fc24.x86_64

Comment 21 Sergey Bostandzhyan 2017-03-13 22:01:35 UTC
Same here, it's an Acer BMA150 accelerometer and the "Operation not permitted" spam in the log continues with 4.9.13-201.fc25.x86_64 as well :(

Comment 22 Artem Hluvchynskyi 2017-03-13 22:06:05 UTC
On my Acer laptop I ended up blacklisting "acer_wmi" as Stefan Joosten did. This stopped the log spam and no adverse effects so far but surely this is no fix.

Comment 23 Sergey Bostandzhyan 2017-03-19 22:35:50 UTC
Updated to 4.9.14-200.fc25.x86_64 - no change, problem persists. Does it make sense to continue posting here? Should this issue be submitted somewhere else?

Comment 24 EminM 2017-03-20 07:16:57 UTC
Hi there!

I fix my problem with a https://spins.fedoraproject.org/en/mate-compiz/
Yes, now i am using fedora-mate and that problem was gone.

I think, that problem available only at gnome3(wayland).
Because, i didn't see that problem in other fedora-spins.

Thanks, maybe my information will be helpful.



Kernel: 4.9.14-200.fc25.x86_64
MATE Desktop Environment 1.16.1

Comment 25 Miroslav Šustek 2017-04-09 22:06:30 UTC
It looks like a bug in acer_wmi kernel module that should be fixed in Kernel 4.11.
See this commit: https://github.com/torvalds/linux/commit/98d610c3739ac354319a6590b915f4624d9151e6
Prior to 4.11, acer_wmi_accel_setup() function is called on every machine.

Comment 26 Sergey Bostandzhyan 2017-04-09 22:20:20 UTC
Thanks for the info, this indeed looks promising... that is, if #1440270 gets fixed too, right now my Acer Switch 10 won't even boot with the current Fedora 4.10 kernel :(

Comment 27 Justin M. Forbes 2017-04-11 14:33:30 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 28 Tobias Schönberg 2017-04-19 18:19:38 UTC
Fedora 26 alpha version still has this issue (kernel-4.11.0-0.rc6.git0.1.fc26).

Comment 29 Miroslav Šustek 2017-04-23 19:03:48 UTC
I tried kernel.x86_64-4.11.0-0.rc7.git1.1.fc27 (from Fedora Rawhide 27) in my Fedora 25 and the problem is fixed.

@Tobias Schönberg: Maybe there are two different issues because it should be fixed since v4.11-rc1.

In my case the issue caused writing:
---
Apr 22 11:27:30 localhost journal: Could not open input accel '/dev/input/event11': Operation not permitted
---
into /var/log/messages every second when iio-sensor-proxy.service was started.

Are your symptoms the same? Does running "service iio-sensor-proxy stop" help?

Comment 30 Tobias Schönberg 2017-05-02 16:44:27 UTC
@Miroslav Šustek - I think we can mark this as resolved. The messages have disappeared now.

Here is some information about what fixed the issue:

My messages were similar. I got numbers event14, event15 and event16:

---
localhost journal: Could not open input accel '/dev/input/event15': Operation not permitted
---

Using journalctl | grep "accel" it seems the problem has stopped at 2017-04-28 15:00. I did a dnf upate at that time and here is all the things that changed:

---
$ sudo dnf history info 176
Last metadata expiration check: 22:28:56 ago on Mon May 01 20:11:17 2017 CEST.
Transaction ID : 176
Begin time     : Fri Apr 28 15:07:43 2017
Begin rpmdb    : 2499:17b0a46fdb37004e4ecdc7399dffc9274f8e19b5
End time       :            15:10:55 2017 (192 seconds)
End rpmdb      : 2498:1a114e90030564344ada7046c46ed300d407a14d
User           : tobias <tobias>
Return-Code    : Success
Command Line   : update
Transaction performed with:
    Installed     dnf-2.3.0-1.fc26.noarch    @@commandline
    Upgraded      rpm-4.13.0.1-3.fc26.x86_64 @@commandline
Packages Altered:
    Upgraded   VirtualBox-5.1.18-2.fc26.x86_64                                      @@commandline
    Upgrade               5.1.20-3.fc26.x86_64                                      @rpmfusion-free-updates-testing
    Upgraded   VirtualBox-kmodsrc-5.1.18-2.fc26.x86_64                              @@commandline
    Upgrade                       5.1.20-3.fc26.x86_64                              @rpmfusion-free-updates-testing
    Upgraded   VirtualBox-server-5.1.18-2.fc26.x86_64                               @@commandline
    Upgrade                      5.1.20-3.fc26.x86_64                               @rpmfusion-free-updates-testing
    Upgraded   abrt-2.10.1-1.fc26.x86_64                                            @@commandline
    Upgrade         2.10.2-2.fc26.x86_64                                            @updates-testing
    Upgraded   abrt-addon-ccpp-2.10.1-1.fc26.x86_64                                 @@commandline
    Upgrade                    2.10.2-2.fc26.x86_64                                 @updates-testing
    Upgraded   abrt-addon-coredump-helper-2.10.1-1.fc26.x86_64                      @@commandline
    Upgrade                               2.10.2-2.fc26.x86_64                      @updates-testing
    Upgraded   abrt-addon-kerneloops-2.10.1-1.fc26.x86_64                           @@commandline
    Upgrade                          2.10.2-2.fc26.x86_64                           @updates-testing
    Upgraded   abrt-addon-pstoreoops-2.10.1-1.fc26.x86_64                           @@commandline
    Upgrade                          2.10.2-2.fc26.x86_64                           @updates-testing
    Upgraded   abrt-addon-python3-2.10.1-1.fc26.x86_64                              @@commandline
    Upgrade                       2.10.2-2.fc26.x86_64                              @updates-testing
    Upgraded   abrt-addon-vmcore-2.10.1-1.fc26.x86_64                               @@commandline
    Upgrade                      2.10.2-2.fc26.x86_64                               @updates-testing
    Upgraded   abrt-addon-xorg-2.10.1-1.fc26.x86_64                                 @@commandline
    Upgrade                    2.10.2-2.fc26.x86_64                                 @updates-testing
    Upgraded   abrt-cli-2.10.1-1.fc26.x86_64                                        @@commandline
    Upgrade             2.10.2-2.fc26.x86_64                                        @updates-testing
    Upgraded   abrt-dbus-2.10.1-1.fc26.x86_64                                       @@commandline
    Upgrade              2.10.2-2.fc26.x86_64                                       @updates-testing
    Upgraded   abrt-desktop-2.10.1-1.fc26.x86_64                                    @@commandline
    Upgrade                 2.10.2-2.fc26.x86_64                                    @updates-testing
    Upgraded   abrt-gui-2.10.1-1.fc26.x86_64                                        @@commandline
    Upgrade             2.10.2-2.fc26.x86_64                                        @updates-testing
    Upgraded   abrt-gui-libs-2.10.1-1.fc26.x86_64                                   @@commandline
    Upgrade                  2.10.2-2.fc26.x86_64                                   @updates-testing
    Upgraded   abrt-libs-2.10.1-1.fc26.x86_64                                       @@commandline
    Upgrade              2.10.2-2.fc26.x86_64                                       @updates-testing
    Upgraded   abrt-plugin-bodhi-2.10.1-1.fc26.x86_64                               @@commandline
    Upgrade                      2.10.2-2.fc26.x86_64                               @updates-testing
    Upgraded   abrt-python3-2.10.1-1.fc26.x86_64                                    @@commandline
    Upgrade                 2.10.2-2.fc26.x86_64                                    @updates-testing
    Upgraded   abrt-retrace-client-2.10.1-1.fc26.x86_64                             @@commandline
    Upgrade                        2.10.2-2.fc26.x86_64                             @updates-testing
    Upgraded   abrt-tui-2.10.1-1.fc26.x86_64                                        @@commandline
    Upgrade             2.10.2-2.fc26.x86_64                                        @updates-testing
    Upgraded   akmod-VirtualBox-5.1.18-2.fc26.x86_64                                @@commandline
    Upgrade                     5.1.20-1.fc26.x86_64                                @rpmfusion-free-updates-testing
    Upgraded   bash-4.4.12-2.fc26.x86_64                                            @updates-testing
    Upgrade         4.4.12-4.fc26.x86_64                                            @updates-testing
    Upgraded   blivet-gui-2.1.2-1.fc26.noarch                                       @updates-testing
    Upgrade               2.1.3-1.fc26.noarch                                       @updates-testing
    Upgraded   ca-certificates-2017.2.11-5.fc26.noarch                              @@commandline
    Upgrade                    2017.2.14-1.0.fc26.noarch                            @updates-testing
    Upgraded   coreutils-8.27-1.fc26.x86_64                                         @@commandline
    Upgrade              8.27-4.fc26.x86_64                                         @updates-testing
    Upgraded   coreutils-common-8.27-1.fc26.x86_64                                  @@commandline
    Upgrade                     8.27-4.fc26.x86_64                                  @updates-testing
    Upgraded   cpp-7.0.1-0.12.fc26.x86_64                                           @@commandline
    Upgrade        7.0.1-0.15.fc26.x86_64                                           @updates-testing
    Upgraded   cryptsetup-1.7.4-1.fc26.x86_64                                       @@commandline
    Upgrade               1.7.5-1.fc26.x86_64                                       @updates-testing
    Upgraded   cryptsetup-libs-1.7.4-1.fc26.x86_64                                  @@commandline
    Upgrade                    1.7.5-1.fc26.x86_64                                  @updates-testing
    Upgraded   curl-7.53.1-6.fc26.x86_64                                            @updates-testing
    Upgrade         7.53.1-7.fc26.x86_64                                            @updates-testing
    Upgraded   emacs-filesystem-1:25.2-0.1.rc2.fc26.noarch                          @@commandline
    Upgrade                     1:25.2-1.fc26.noarch                                @updates-testing
    Upgraded   flatpak-0.9.2-2.fc26.x86_64                                          @updates-testing
    Upgrade            0.9.3-1.fc26.x86_64                                          @updates-testing
    Upgraded   flatpak-builder-0.9.2-2.fc26.x86_64                                  @updates-testing
    Upgrade                    0.9.3-1.fc26.x86_64                                  @updates-testing
    Upgraded   flatpak-libs-0.9.2-2.fc26.x86_64                                     @updates-testing
    Upgrade                 0.9.3-1.fc26.x86_64                                     @updates-testing
    Upgraded   freerdp-libs-2:2.0.0-24.20170317git8c68761.fc26.x86_64               @@commandline
    Upgrade                 2:2.0.0-26.20170419gitbfcf8e7.fc26.x86_64               @updates-testing
    Upgraded   gcc-7.0.1-0.12.fc26.x86_64                                           @@commandline
    Upgrade        7.0.1-0.15.fc26.x86_64                                           @updates-testing
    Upgraded   gcc-c++-7.0.1-0.12.fc26.x86_64                                       @@commandline
    Upgrade            7.0.1-0.15.fc26.x86_64                                       @updates-testing
    Upgraded   gcc-gdb-plugin-7.0.1-0.12.fc26.x86_64                                @@commandline
    Upgrade                   7.0.1-0.15.fc26.x86_64                                @updates-testing
    Upgraded   gnome-calendar-3.24.0-1.fc26.x86_64                                  @@commandline
    Upgrade                   3.24.1-1.fc26.x86_64                                  @updates-testing
    Upgraded   gnome-software-3.24.1-1.fc26.x86_64                                  @updates-testing
    Upgrade                   3.24.1-2.fc26.x86_64                                  @updates-testing
    Upgraded   gnupg2-2.1.18-2.fc26.x86_64                                          @@commandline
    Upgrade           2.1.20-2.fc26.x86_64                                          @updates-testing
    Upgraded   gnupg2-smime-2.1.18-2.fc26.x86_64                                    @@commandline
    Upgrade                 2.1.20-2.fc26.x86_64                                    @updates-testing
    Upgraded   google-noto-emoji-fonts-20170223-1.fc26.noarch                       @@commandline
    Upgrade                            20170426-1.fc26.noarch                       @updates-testing
    Upgraded   hardlink-1:1.1-2.fc26.x86_64                                         @@commandline
    Upgrade             1:1.3-1.fc26.x86_64                                         @updates-testing
    Upgraded   hplip-3.16.11-7.fc26.x86_64                                          @@commandline
    Upgrade          3.17.4-2.fc26.x86_64                                           @updates-testing
    Upgraded   hplip-common-3.16.11-7.fc26.x86_64                                   @@commandline
    Upgrade                 3.17.4-2.fc26.x86_64                                    @updates-testing
    Upgraded   hplip-libs-3.16.11-7.fc26.x86_64                                     @@commandline
    Upgrade               3.17.4-2.fc26.x86_64                                      @updates-testing
    Upgraded   ibus-typing-booster-1.5.31-1.fc26.noarch                             @updates-testing
    Upgrade                        1.5.32-1.fc26.noarch                             @updates-testing
    Upgraded   java-1.8.0-openjdk-1:1.8.0.121-10.b14.fc26.x86_64                    @@commandline
    Upgrade                       1:1.8.0.131-1.b12.fc26.x86_64                     @updates-testing
    Upgraded   java-1.8.0-openjdk-headless-1:1.8.0.121-10.b14.fc26.x86_64           @@commandline
    Upgrade                                1:1.8.0.131-1.b12.fc26.x86_64            @updates-testing
    Upgraded   json-c-0.12-8.fc26.x86_64                                            @@commandline
    Upgrade           0.12.1-1.fc26.x86_64                                          @updates-testing
    Erase      kernel-4.11.0-0.rc5.git0.1.fc26.x86_64                               @@commandline
    Install    kernel-4.11.0-0.rc8.git0.1.fc26.x86_64                               @updates-testing
    Erase      kernel-core-4.11.0-0.rc5.git0.1.fc26.x86_64                          @@commandline
    Install    kernel-core-4.11.0-0.rc8.git0.1.fc26.x86_64                          @updates-testing
    Erase      kernel-devel-4.11.0-0.rc5.git0.1.fc26.x86_64                         @@commandline
    Install    kernel-devel-4.11.0-0.rc8.git0.1.fc26.x86_64                         @updates-testing
    Upgraded   kernel-headers-4.11.0-0.rc7.git0.1.fc26.x86_64                       @updates-testing
    Upgrade                   4.11.0-0.rc8.git0.1.fc26.x86_64                       @updates-testing
    Erase      kernel-modules-4.11.0-0.rc5.git0.1.fc26.x86_64                       @@commandline
    Install    kernel-modules-4.11.0-0.rc8.git0.1.fc26.x86_64                       @updates-testing
    Erase      kernel-modules-extra-4.11.0-0.rc5.git0.1.fc26.x86_64                 @@commandline
    Install    kernel-modules-extra-4.11.0-0.rc8.git0.1.fc26.x86_64                 @updates-testing
    Upgraded   kexec-tools-2.0.14-4.fc26.1.x86_64                                   @@commandline
    Upgrade                2.0.14-4.fc26.2.x86_64                                   @updates-testing
    Erase      kmod-VirtualBox-4.11.0-0.rc5.git0.1.fc26.x86_64-5.1.18-2.fc26.x86_64 @@commandline
    Upgraded   libblockdev-2.6-3.fc26.x86_64                                        @updates-testing
    Upgrade                2.7-1.fc26.x86_64                                        @updates-testing
    Upgraded   libblockdev-btrfs-2.6-3.fc26.x86_64                                  @updates-testing
    Upgrade                      2.7-1.fc26.x86_64                                  @updates-testing
    Upgraded   libblockdev-crypto-2.6-3.fc26.x86_64                                 @updates-testing
    Upgrade                       2.7-1.fc26.x86_64                                 @updates-testing
    Upgraded   libblockdev-dm-2.6-3.fc26.x86_64                                     @updates-testing
    Upgrade                   2.7-1.fc26.x86_64                                     @updates-testing
    Upgraded   libblockdev-fs-2.6-3.fc26.x86_64                                     @updates-testing
    Upgrade                   2.7-1.fc26.x86_64                                     @updates-testing
    Upgraded   libblockdev-kbd-2.6-3.fc26.x86_64                                    @updates-testing
    Upgrade                    2.7-1.fc26.x86_64                                    @updates-testing
    Upgraded   libblockdev-loop-2.6-3.fc26.x86_64                                   @updates-testing
    Upgrade                     2.7-1.fc26.x86_64                                   @updates-testing
    Upgraded   libblockdev-lvm-2.6-3.fc26.x86_64                                    @updates-testing
    Upgrade                    2.7-1.fc26.x86_64                                    @updates-testing
    Upgraded   libblockdev-mdraid-2.6-3.fc26.x86_64                                 @updates-testing
    Upgrade                       2.7-1.fc26.x86_64                                 @updates-testing
    Upgraded   libblockdev-mpath-2.6-3.fc26.x86_64                                  @updates-testing
    Upgrade                      2.7-1.fc26.x86_64                                  @updates-testing
    Upgraded   libblockdev-part-2.6-3.fc26.x86_64                                   @updates-testing
    Upgrade                     2.7-1.fc26.x86_64                                   @updates-testing
    Upgraded   libblockdev-plugins-all-2.6-3.fc26.x86_64                            @updates-testing
    Upgrade                            2.7-1.fc26.x86_64                            @updates-testing
    Upgraded   libblockdev-swap-2.6-3.fc26.x86_64                                   @updates-testing
    Upgrade                     2.7-1.fc26.x86_64                                   @updates-testing
    Upgraded   libblockdev-utils-2.6-3.fc26.x86_64                                  @updates-testing
    Upgrade                      2.7-1.fc26.x86_64                                  @updates-testing
    Upgraded   libcurl-7.53.1-6.fc26.x86_64                                         @updates-testing
    Upgrade            7.53.1-7.fc26.x86_64                                         @updates-testing
    Upgraded   libcurl-devel-7.53.1-6.fc26.x86_64                                   @updates-testing
    Upgrade                  7.53.1-7.fc26.x86_64                                   @updates-testing
    Upgraded   libgcc-7.0.1-0.12.fc26.x86_64                                        @@commandline
    Upgrade           7.0.1-0.15.fc26.x86_64                                        @updates-testing
    Upgraded   libgfortran-7.0.1-0.12.fc26.x86_64                                   @@commandline
    Upgrade                7.0.1-0.15.fc26.x86_64                                   @updates-testing
    Upgraded   libgomp-7.0.1-0.12.fc26.x86_64                                       @@commandline
    Upgrade            7.0.1-0.15.fc26.x86_64                                       @updates-testing
    Upgraded   libinput-1.7.0-1.fc26.x86_64                                         @@commandline
    Upgrade             1.7.1-1.fc26.x86_64                                         @updates-testing
    Upgraded   libmodplug-1:0.8.8.5-9.fc26.x86_64                                   @@commandline
    Upgrade               1:0.8.9.0-1.fc26.x86_64                                   @updates-testing
    Upgraded   libquadmath-7.0.1-0.12.fc26.x86_64                                   @@commandline
    Upgrade                7.0.1-0.15.fc26.x86_64                                   @updates-testing
    Upgraded   libsane-hpaio-3.16.11-7.fc26.x86_64                                  @@commandline
    Upgrade                  3.17.4-2.fc26.x86_64                                   @updates-testing
    Upgraded   libsmbclient-2:4.6.2-0.fc26.x86_64                                   @@commandline
    Upgrade                 2:4.6.3-0.fc26.x86_64                                   @updates-testing
    Upgraded   libsmbclient-devel-2:4.6.2-0.fc26.x86_64                             @@commandline
    Upgrade                       2:4.6.3-0.fc26.x86_64                             @updates-testing
    Upgraded   libssh-0.7.4-2.fc26.x86_64                                           @@commandline
    Upgrade           0.7.5-1.fc26.x86_64                                           @updates-testing
    Upgraded   libstdc++-7.0.1-0.12.fc26.x86_64                                     @@commandline
    Upgrade              7.0.1-0.15.fc26.x86_64                                     @updates-testing
    Upgraded   libstdc++-devel-7.0.1-0.12.fc26.x86_64                               @@commandline
    Upgrade                    7.0.1-0.15.fc26.x86_64                               @updates-testing
    Obsoleted  libstoraged-2.6.3-4.fc26.x86_64                                      @@commandline
    Obsoleting libudisks2-2.6.4-1.fc26.x86_64                                       @updates-testing
    Install    libudisks2-2.6.4-1.fc26.x86_64                                       @updates-testing
    Upgraded   libwbclient-2:4.6.2-0.fc26.x86_64                                    @@commandline
    Upgrade                2:4.6.3-0.fc26.x86_64                                    @updates-testing
    Upgraded   libwinpr-2:2.0.0-24.20170317git8c68761.fc26.x86_64                   @@commandline
    Upgrade             2:2.0.0-26.20170419gitbfcf8e7.fc26.x86_64                   @updates-testing
    Upgraded   meson-0.39.1-1.fc26.noarch                                           @@commandline
    Upgrade          0.40.0-1.fc26.noarch                                           @updates-testing
    Upgraded   nfs-utils-1:2.1.1-4.rc2.fc26.x86_64                                  @updates-testing
    Upgrade              1:2.1.1-5.rc2.fc26.x86_64                                  @updates-testing
    Upgraded   ninja-build-1.7.2-3.fc26.x86_64                                      @@commandline
    Upgrade                1.7.2-4.fc26.x86_64                                      @updates-testing
    Upgraded   nodejs-1:6.10.1-3.fc26.x86_64                                        @@commandline
    Upgrade           1:6.10.2-1.fc26.x86_64                                        @updates-testing
    Upgraded   npm-1:3.10.10-1.6.10.1.3.fc26.x86_64                                 @@commandline
    Upgrade        1:3.10.10-1.6.10.2.1.fc26.x86_64                                 @updates-testing
    Upgraded   nspr-4.13.1-2.fc26.x86_64                                            @@commandline
    Upgrade         4.14.0-2.fc26.x86_64                                            @updates-testing
    Upgraded   nspr-devel-4.13.1-2.fc26.x86_64                                      @@commandline
    Upgrade               4.14.0-2.fc26.x86_64                                      @updates-testing
    Upgraded   nss-3.29.3-1.3.fc26.x86_64                                           @@commandline
    Upgrade        3.30.2-1.0.fc26.x86_64                                           @updates-testing
    Upgraded   nss-devel-3.29.3-1.3.fc26.x86_64                                     @@commandline
    Upgrade              3.30.2-1.0.fc26.x86_64                                     @updates-testing
    Upgraded   nss-softokn-3.29.5-1.0.fc26.x86_64                                   @updates-testing
    Upgrade                3.30.2-1.0.fc26.x86_64                                   @updates-testing
    Upgraded   nss-softokn-devel-3.29.5-1.0.fc26.x86_64                             @updates-testing
    Upgrade                      3.30.2-1.0.fc26.x86_64                             @updates-testing
    Upgraded   nss-softokn-freebl-3.29.5-1.0.fc26.i686                              @updates-testing
    Upgraded   nss-softokn-freebl-3.29.5-1.0.fc26.x86_64                            @updates-testing
    Upgrade                       3.30.2-1.0.fc26.i686                              @updates-testing
    Upgrade                       3.30.2-1.0.fc26.x86_64                            @updates-testing
    Upgraded   nss-softokn-freebl-devel-3.29.5-1.0.fc26.x86_64                      @updates-testing
    Upgrade                             3.30.2-1.0.fc26.x86_64                      @updates-testing
    Upgraded   nss-sysinit-3.29.3-1.3.fc26.x86_64                                   @@commandline
    Upgrade                3.30.2-1.0.fc26.x86_64                                   @updates-testing
    Upgraded   nss-tools-3.29.3-1.3.fc26.x86_64                                     @@commandline
    Upgrade              3.30.2-1.0.fc26.x86_64                                     @updates-testing
    Upgraded   nss-util-3.29.5-1.0.fc26.x86_64                                      @updates-testing
    Upgrade             3.30.2-1.0.fc26.x86_64                                      @updates-testing
    Upgraded   nss-util-devel-3.29.5-1.0.fc26.x86_64                                @updates-testing
    Upgrade                   3.30.2-1.0.fc26.x86_64                                @updates-testing
    Upgraded   osinfo-db-20170326-1.fc26.noarch                                     @@commandline
    Upgrade              20170423-1.fc26.noarch                                     @updates-testing
    Upgraded   perl-Business-ISBN-3.003-2.fc26.noarch                               @@commandline
    Upgrade                       3.004-1.fc26.noarch                               @updates-testing
    Upgraded   perl-GD-2.59-1.fc26.x86_64                                           @updates-testing
    Upgrade            2.66-1.fc26.x86_64                                           @updates-testing
    Upgraded   python2-setuptools-34.3.0-1.fc26.noarch                              @@commandline
    Upgrade                       35.0.1-1.fc26.noarch                              @updates-testing
    Upgraded   python3-blockdev-2.6-3.fc26.x86_64                                   @updates-testing
    Upgrade                     2.7-1.fc26.x86_64                                   @updates-testing
    Upgraded   python3-rpm-4.13.0.1-3.fc26.x86_64                                   @@commandline
    Upgrade                4.13.0.1-4.fc26.x86_64                                   @updates-testing
    Upgraded   python3-setuptools-34.3.0-1.fc26.noarch                              @@commandline
    Upgrade                       35.0.1-1.fc26.noarch                              @updates-testing
    Upgraded   qca-2.1.1-8.fc25.x86_64                                              @@commandline
    Upgrade        2.1.3-5.fc26.x86_64                                              @updates-testing
    Upgraded   qca-ossl-2.1.1-8.fc25.x86_64                                         @@commandline
    Upgrade             2.1.3-5.fc26.x86_64                                         @updates-testing
    Upgraded   qgis-2.18.6-2.fc26.x86_64                                            @@commandline
    Upgrade         2.18.7-1.fc26.x86_64                                            @dani-QGIS-latest-stable
    Upgraded   qgis-python-2.18.6-2.fc26.x86_64                                     @@commandline
    Upgrade                2.18.7-1.fc26.x86_64                                     @dani-QGIS-latest-stable
    Upgraded   qgis-server-2.18.6-2.fc26.x86_64                                     @@commandline
    Upgrade                2.18.7-1.fc26.x86_64                                     @dani-QGIS-latest-stable
    Upgraded   realmd-0.16.3-4.fc26.x86_64                                          @@commandline
    Upgrade           0.16.3-5.fc26.x86_64                                          @updates-testing
    Upgraded   rpm-4.13.0.1-3.fc26.x86_64                                           @@commandline
    Upgrade        4.13.0.1-4.fc26.x86_64                                           @updates-testing
    Upgraded   rpm-build-4.13.0.1-3.fc26.x86_64                                     @@commandline
    Upgrade              4.13.0.1-4.fc26.x86_64                                     @updates-testing
    Upgraded   rpm-build-libs-4.13.0.1-3.fc26.x86_64                                @@commandline
    Upgrade                   4.13.0.1-4.fc26.x86_64                                @updates-testing
    Upgraded   rpm-libs-4.13.0.1-3.fc26.x86_64                                      @@commandline
    Upgrade             4.13.0.1-4.fc26.x86_64                                      @updates-testing
    Upgraded   rpm-plugin-selinux-4.13.0.1-3.fc26.x86_64                            @@commandline
    Upgrade                       4.13.0.1-4.fc26.x86_64                            @updates-testing
    Upgraded   rpm-plugin-systemd-inhibit-4.13.0.1-3.fc26.x86_64                    @@commandline
    Upgrade                               4.13.0.1-4.fc26.x86_64                    @updates-testing
    Upgraded   samba-client-2:4.6.2-0.fc26.x86_64                                   @@commandline
    Upgrade                 2:4.6.3-0.fc26.x86_64                                   @updates-testing
    Upgraded   samba-client-libs-2:4.6.2-0.fc26.x86_64                              @@commandline
    Upgrade                      2:4.6.3-0.fc26.x86_64                              @updates-testing
    Upgraded   samba-common-2:4.6.2-0.fc26.noarch                                   @@commandline
    Upgrade                 2:4.6.3-0.fc26.noarch                                   @updates-testing
    Upgraded   samba-common-libs-2:4.6.2-0.fc26.x86_64                              @@commandline
    Upgrade                      2:4.6.3-0.fc26.x86_64                              @updates-testing
    Obsoleted  storaged-2.6.3-4.fc26.x86_64                                         @@commandline
    Upgraded   telnet-1:0.17-68.fc26.x86_64                                         @@commandline
    Upgrade           1:0.17-69.fc26.x86_64                                         @updates-testing
    Obsoleting udisks2-2.6.4-1.fc26.x86_64                                          @updates-testing
    Install    udisks2-2.6.4-1.fc26.x86_64                                          @updates-testing
    Upgraded   vala-0.36.1-1.fc26.x86_64                                            @@commandline
    Upgrade         0.36.2-1.fc26.x86_64                                            @updates-testing
    Upgraded   vala-devel-0.36.1-1.fc26.x86_64                                      @@commandline
    Upgrade               0.36.2-1.fc26.x86_64                                      @updates-testing
    Upgraded   vim-common-2:8.0.562-1.fc26.x86_64                                   @updates-testing
    Upgrade               2:8.0.586-1.fc26.x86_64                                   @updates-testing
    Upgraded   vim-enhanced-2:8.0.562-1.fc26.x86_64                                 @updates-testing
    Upgrade                 2:8.0.586-1.fc26.x86_64                                 @updates-testing
    Upgraded   vim-filesystem-2:8.0.562-1.fc26.x86_64                               @updates-testing
    Upgrade                   2:8.0.586-1.fc26.x86_64                               @updates-testing
    Upgraded   vim-minimal-2:8.0.562-1.fc26.x86_64                                  @updates-testing
    Upgrade                2:8.0.586-1.fc26.x86_64                                  @updates-testing
    Upgraded   xorg-x11-server-Xorg-1.19.3-2.fc26.x86_64                            @@commandline
    Upgrade                         1.19.3-4.fc26.x86_64                            @updates-testing
    Upgraded   xorg-x11-server-Xwayland-1.19.3-2.fc26.x86_64                        @@commandline
    Upgrade                             1.19.3-4.fc26.x86_64                        @updates-testing
    Upgraded   xorg-x11-server-common-1.19.3-2.fc26.x86_64                          @@commandline
    Upgrade                           1.19.3-4.fc26.x86_64                          @updates-testing
    Upgraded   xorg-x11-server-devel-1.19.3-2.fc26.x86_64                           @@commandline
    Upgrade                          1.19.3-4.fc26.x86_64                           @updates-testing
Scriptlet output:
   1 warning: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc26.x86_64/jre/lib/security/java.security created as /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc26.x86_64/jre/lib/security/java.security.rpmnew
   2 warning: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc26.x86_64/jre/lib/security/nss.cfg created as /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc26.x86_64/jre/lib/security/nss.cfg.rpmnew
   3 restored /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc26.x86_64/jre/lib/security/java.security.rpmnew to /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc26.x86_64/jre/lib/security/java.security
   4 restored /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc26.x86_64/jre/lib/security/nss.cfg.rpmnew to /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-1.b12.fc26.x86_64/jre/lib/security/nss.cfg
   5 Warning: udisks2.service changed on disk. Run 'systemctl daemon-reload' to reload units.
   6 warning: file /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-10.b14.fc26.x86_64/jre/lib/applet: remove failed: No such file or directory
   7 warning: file /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-10.b14.fc26.x86_64/jre/lib/amd64/client: remove failed: No such file or directory
---

Comment 31 Isaque Galdino 2017-06-12 16:19:41 UTC
This problem is still happening in F25. journalctl -f gives me the following message every second or less than that:

Jun 12 13:18:00 myrig iio-sensor-prox[908]: Could not open input accel '/dev/input/event15': Operation not permitted

$ uname -a
Linux myrig 4.11.3-202.fc25.x86_64 #1 SMP Mon Jun 5 16:38:21 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 32 Tobias Schönberg 2017-06-13 17:15:25 UTC
The problem was gone for me sind 2017-04-28, but appeared again since 2017-05-07.

Comment 33 Isaque Galdino 2017-06-18 20:34:37 UTC
Hi, I had to:

$ sudo systemctl status iio-sensor-proxy.service 
$ sudo modprobe -r acer_wmi

as well.

Comment 34 Ron Yorston 2017-07-13 08:32:03 UTC
Acer V5-171.  On F26 with kernel-4.11.9-300.fc26.x86_64 this seems to cause an oops which results in ABRT popping up a notification every few seconds.  This is MUCH more annoying than log spam.

Masking iio-sensor-proxy makes it stop.

Comment 35 Michael Lipp 2017-07-31 15:20:00 UTC
The problem persists in Fedora 26 (on my Acer Aspire E 11). I get an entry

iio-sensor-proxy: Could not open input accel '/dev/input/event9': Operation not permitted

in the system log every second.

Kernel: 4.11.11-300.fc26.x86_64

Comment 36 Michael Lipp 2017-07-31 15:22:56 UTC
Just noticed that I can get rid of the messages with "chmod o+rw /dev/input/event9". Maybe this helps.

Comment 37 Michael Lipp 2017-07-31 15:25:02 UTC
Forget my last comment. For some reason "journalctl -f" does not work properly any more unless I am root. So the entries continued, I just couldn't see them.

Comment 38 Rob 2017-08-01 09:07:47 UTC
Same issue with me, using Aspire ES 15, iio-sensor-proxy: Could not open input accel '/dev/input/event9': Operation not permitted

Comment 39 Rob 2017-09-06 11:28:34 UTC
Seems problem is fixed with last kernel updates

Comment 40 Fedora End Of Life 2017-11-16 15:43:36 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 41 Fedora End Of Life 2017-12-12 10:23:51 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.